Bug 679241 - yum -y install @development-tools fails with GPG key error
yum -y install @development-tools fails with GPG key error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
15
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-21 21:10 EST by Brian Lane
Modified: 2014-01-21 18:17 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:57:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Lane 2011-02-21 21:10:09 EST
Fresh install of F15 (from 2/21 nightly LiveCD)

As root, run yum -y install @development-tools

Resolves dependencies, shows a list of packages and then:

Transaction Summary
============================================================================================================================================================
Install      68 Package(s)
Upgrade      12 Package(s)

Total size: 115 M
Downloading Packages:
warning: rpmts_HdrFromFdno: Header V3 RSA/SHA256 Signature, key ID 97a1071f: NOKEY
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-x86_64


The GPG keys listed for the "Fedora 15 - x86_64" repository are already installed but they are not correct for this package.
Check that the correct key URLs are configured for this repository.

This also happens when running yum -y update
Comment 1 seth vidal 2011-02-22 10:19:26 EST
which repo is the above coming from?

can you run
gpg -v /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-x86_64

on this file and see what it outputs?
Comment 2 Brian Lane 2011-02-23 01:15:18 EST
gpg output is:

[root@localhost ~]# gpg -v /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-x86_64
gpg: directory `/root/.gnupg' created
gpg: new configuration file `/root/.gnupg/gpg.conf' created
gpg: WARNING: options in `/root/.gnupg/gpg.conf' are not yet active during this run
gpg: keyring `/root/.gnupg/secring.gpg' created
gpg: keyring `/root/.gnupg/pubring.gpg' created
gpg: armor header: Version: GnuPG v1.4.5 (GNU/Linux)
pub  4096R/069C8460 2011-02-07 Fedora (15) <fedora@fedoraproject.org>
sig        069C8460 2011-02-07   [selfsig]

I reran the update and it still failed, but I didn't see anything indicating which mirror it was using. I did a yum clean all and updated again and now it is working.
Comment 3 Fedora Admin XMLRPC Client 2012-04-27 11:38:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2012-08-07 13:57:05 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.